UUID::uuid Class Reference

The uuid class. More...

`#include <uuid.h>`

## Public Member Functions

| uuid ()
| uuid::uuid
| uuid (const uuid &)
| uuid::uuid More...
| uuid (const uint8_t *raw)
| uuid::uuid More...
| uuid (const char *c_str)
| uuid::uuid More...
| uuid (std::string str)
| uuid::uuid More...
const uint8_t * | bytes () const
| uuid::bytes More...
Type | type () const
| uuid::type More...
uint16_t | version () const
| uuid::version More...
uint64_t | time () const
| uuid::time More...
uint16_t | sequence () const
| uuid::sequence More...
uint64_t | node () const
| uuid::node More...
std::string | hex () const
| uuid::hex More...
std::string | string () const
| uuid::string More...
std::string | urn () const
| uuid::urn More...
void | setBytes (const uint8_t *raw)
| uuid::setBytes More...
virtual uint16_t | uuid1 (uint64_t node, uint16_t clock_seq)
| uuid::uuid1 More...
virtual void | uuid4 ()
| Version 4 (RANDOM) UUID. More...
uuid & | operator= (const uuid &other)
| uuid::operator = More...
| operator const uint8_t * () const
| uuid::operator const uint8_t *
| operator const std::string () const
| uuid::operator const std::string

## Friends

bool | operator== (const uuid &, const uuid &)
| operator == More...

## Detailed Description

The uuid class.

## Constructor & Destructor Documentation

## uuid() [1/4]

UUID::uuid::uuid | ( | const uuid & | other | ) |

uuid::uuid

Parameters

  other |

## uuid() [2/4]

UUID::uuid::uuid | ( | const uint8_t * | raw | ) |

uuid::uuid

Parameters

  raw |

## uuid() [3/4]

UUID::uuid::uuid | ( | const char * | c_str | ) |

uuid::uuid

Parameters

  c_str |

## uuid() [4/4]

UUID::uuid::uuid | ( | std::string | str | ) |

uuid::uuid

Parameters

  str |

## Member Function Documentation

## bytes()

const uint8_t * UUID::uuid::bytes | ( |  | ) | const

uuid::bytes

Returns

Here is the caller graph for this function:

## hex()

std::string UUID::uuid::hex | ( |  | ) | const

uuid::hex

Returns

output this UUID as a hex string

Here is the caller graph for this function:

## node()

uint64_t UUID::uuid::node | ( |  | ) | const

uuid::node

Returns

Here is the caller graph for this function:

## operator=()

uuid & UUID::uuid::operator= | ( | const uuid & | other | ) |

uuid::operator =

Parameters

  other |

Returns

## sequence()

uint16_t UUID::uuid::sequence | ( |  | ) | const

uuid::sequence

Returns

## setBytes()

void UUID::uuid::setBytes | ( | const uint8_t * | raw | ) |

uuid::setBytes

Parameters

  raw |

Here is the caller graph for this function:

## string()

std::string UUID::uuid::string | ( |  | ) | const

uuid::string

Returns

output this UUID as formated hex string

Here is the call graph for this function:
Here is the caller graph for this function:

## time()

uint64_t UUID::uuid::time | ( |  | ) | const

uuid::time

Returns

## type()

Type UUID::uuid::type | ( |  | ) | const

uuid::type

Returns

## urn()

std::string UUID::uuid::urn | ( |  | ) | const

uuid::urn

Returns

output this UUID as a urn specified in RFC 4122

Here is the call graph for this function:

## uuid1()

uint16_t UUID::uuid::uuid1 | ( | uint64_t | node,
|  | uint16_t | clock_seq
| ) |  |

virtual

uuid::uuid1

Parameters

  node |
  clock_seq |

Returns
  incrimented clock_sequence

node ID and clock sequence tracking are the responsibility of the caller

Here is the call graph for this function:

## uuid4()

void UUID::uuid::uuid4 | ( |  | ) |

virtual

Version 4 (RANDOM) UUID.

a very low quality random

## version()

uint16_t UUID::uuid::version | ( |  | ) | const

uuid::version

Returns

## Friends And Related Function Documentation

## operator==

bool operator== | ( | const uuid & | a,
|  | const uuid & | b
| ) |  |

friend

operator ==

Parameters

  a |
  b |

Returns

The documentation for this class was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/uuid/uuid.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/uuid/uuid.cpp